Skip to content
SilanDocs
Main site

Saved and scheduled routines.

GET /v1/routines

Saved and scheduled routines

Response Means
200 Routines.
4XX Error (RFC 9457).
5XX Error (RFC 9457).

MCP tools on this operation: list_routines.

POST /v1/routines

Save a routine from a finished agent task or a scenario

Request body: application/json (RoutineInput).

Field Type What it is
name string
fromAgentTaskId string
scenario one of several shapes
schedule string,null
Response Means
201 Saved. Routine
4XX Error (RFC 9457).
5XX Error (RFC 9457).

POST /v1/routines/{routineId}/runs

Run a routine now

Parameter In Required Type What it is
routineId path yes string
Response Means
202 Started. Run
4XX Error (RFC 9457).
5XX Error (RFC 9457).

MCP tools on this operation: run_routine.